com.impinj.stp

## Class Helpers

- java.lang.Object
- - com.impinj.stp.Helpers

-     public class Helpers
      extends java.lang.Object

  Helper static methods

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Helpers()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `byteStringToString(com.google.protobuf.ByteString bString)` Helper to convert a Protocol Buffer ByteString to String.
    `protected static byte` | `calculateChecksum(byte[] bytes)`
    `protected static int` | `calculateCrc(byte[] data)`
    `static java.lang.String` | `getDatetimeString(long microSeconds)` Helper to read in a configuration file and store its contents into a String.
    `static java.lang.String` | `readConfigFile(java.lang.String filename)` Helper to read in a configuration file and store its contents into a String.
    `static void` | `sleepMS(int ms)` Helper sleep method
    `static com.google.protobuf.ByteString` | `stringToByteString(java.lang.String str)` Helper to convert a String to a ProtoBuffer ByteString.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Helpers

          public Helpers()

  - ### Method Detail

    - #### calculateCrc

          protected static int calculateCrc(byte[] data)

    - #### calculateChecksum

          protected static byte calculateChecksum(byte[] bytes)

    - #### sleepMS

          public static void sleepMS(int ms)

      Helper sleep method
      Parameters:
        `ms` - sleep time in milliseconds

    - #### byteStringToString

          public static java.lang.String byteStringToString(com.google.protobuf.ByteString bString)

      Helper to convert a Protocol Buffer ByteString to String.
      Parameters:
        `bString` - ByteString to be converted
      Returns:
        String

    - #### stringToByteString

          public static com.google.protobuf.ByteString stringToByteString(java.lang.String str)

      Helper to convert a String to a ProtoBuffer ByteString.
      Parameters:
        `str` - String to be converted
      Returns:
        ByteString

    - #### readConfigFile

          public static java.lang.String readConfigFile(java.lang.String filename)

      Helper to read in a configuration file and store its contents into a String.
      Parameters:
        `filename` - File name or full path of Configuration file
      Returns:
        returns String containing the contents of the file

    - #### getDatetimeString

          public static java.lang.String getDatetimeString(long microSeconds)

      Helper to read in a configuration file and store its contents into a String.
      Parameters:
        `microSeconds` - Time in microseconds (start Jan. 1, 1970)
      Returns:
        String containing time in a fixed format